package com.dcsoft.system.camera.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.dcsoft.system.domain.SysPoint;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 视频配置对象 tb_camera
 *
 * @author nichun
 * @date 2023-08-10
 */
public class TbCamera extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 视频名称 */
    @Excel(name = "视频名称")
    private String name;

    /** 超脑id */
    private Long cnid;

    /** 摄像头ip地址 */
    @Excel(name = "摄像头ip地址")
    private String ip;

    /** 摄像头密码 */
    private String pass;

    /** 播放地址 */
    private String urls;

    /** 所属空间 */
    private Long spaceId;

    /** 所属点位 */
    @Excel(name = "所属点位")
    private Long pointId;

    private SysPoint point;

    private String channelId;

    private String deviceId;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setCnid(Long cnid)
    {
        this.cnid = cnid;
    }

    public Long getCnid()
    {
        return cnid;
    }
    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getIp()
    {
        return ip;
    }
    public void setPass(String pass)
    {
        this.pass = pass;
    }

    public String getPass()
    {
        return pass;
    }
    public void setUrls(String urls)
    {
        this.urls = urls;
    }

    public String getUrls()
    {
        return urls;
    }
    public void setSpaceId(Long spaceId)
    {
        this.spaceId = spaceId;
    }

    public Long getSpaceId()
    {
        return spaceId;
    }
    public void setPointId(Long pointId)
    {
        this.pointId = pointId;
    }

    public Long getPointId()
    {
        return pointId;
    }

    public SysPoint getPoint() {
        return point;
    }

    public void setPoint(SysPoint point) {
        this.point = point;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("cnid", getCnid())
            .append("ip", getIp())
            .append("pass", getPass())
            .append("urls", getUrls())
            .append("spaceId", getSpaceId())
            .append("pointId", getPointId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
